summaryrefslogtreecommitdiffstats
path: root/usr.bin/apply/tests/regress.01.sh
diff options
context:
space:
mode:
Diffstat (limited to 'usr.bin/apply/tests/regress.01.sh')
-rw-r--r--usr.bin/apply/tests/regress.01.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/usr.bin/apply/tests/regress.01.sh b/usr.bin/apply/tests/regress.01.sh
new file mode 100644
index 0000000..db5f1d4
--- /dev/null
+++ b/usr.bin/apply/tests/regress.01.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+# $FreeBSD$
+
+SHELL=/bin/sh; export SHELL
+
+ARG_MAX=$(getconf ARG_MAX)
+ARG_MAX_HALF=$((ARG_MAX / 2))
+
+apply 'echo %1 %1 %1' $(jot $ARG_MAX_HALF 1 1 | tr -d '\n') 2>&1
+
+if [ $? -eq 0 ]; then
+ return 1
+else
+ return 0
+fi
OpenPOWER on IntegriCloud